Skip to main content
System Global Type/License Operations
GETLicense OperationsSince 4.1.0SynchronousAuth Required

GetLicenseRecords

GetLicenseRecords

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • limitInteger

    Optional. The maximum number of records that cab be retrieved. Default: 20. This parameter is similar to the limit parameter in MySQL.

  • startInteger

    Optional. The position to start a query. You need to set this parameter if you specify thelimit parameter. This parameter is similar to the offset parameter in MySQL.

  • replyWithCountboolean

    Optional. Specifies whether to return the number of records. If you set the value to true, the number of records are returned.

  • countboolean

    Optional. Specifies whether to count the number of records that meet the specified conditions. This parameter is similar to the count() function. If you set the value to true, the number of records that meet the specified conditions is calculated and returned.

  • sortByString

    Optional. Specifies to start records by a key, for example sortBy=ip. You need to specify the sortDirection parameter if you specify this parameter. This parameter is similar to the sort by parameter in MySQL.

Responses

200 OK

On success, this API returns the following response structure.

  • totalLongRequired

    The total number of historic license authorizations. This parameter is returned if you set count or replyWithCount to true.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryLicenseInventoryRequired

    See inventory

    • uuidStringRequired

      资源UUID。

    • licenseTypeStringRequired

      No description provided.

    • expiredDateStringRequired

      已过期时间。

    • issuedDateStringRequired

      issued时间。

    • uploadDateStringRequired

      The license update time.

    • userStringRequired

      用户信息。

    • prodInfoStringRequired

      The license product name.

    • hostNumIntegerRequired

      No description provided.

    • cpuNumIntegerRequired

      No description provided.

    • vmNumIntegerRequired

      No description provided.

    • expiredbooleanRequired

      已过期。

    • managementNodeUuidStringRequired

      管理节点UUID。

Endpoint

GET/zstack/v1/licenses/records

/zstack/v1/licenses/records

Operation ID

GetLicenseRecords

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/licenses/records?limit=1&start=1&replyWithCount=True&count=True&sortBy=<sortBy>&sortDirection=<sortDirection>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "user": "example", "hostNum": 10.0, "licenseType": "Free", "issuedDate": "2017-01-19 14:31:06", "managementNodeUuid": "00898b3538e53e70bb7521e54ff80276", "expired": true } ], "total": 1.0 }

Change History

This API has no change history records yet.

View all change history